HELP2MAN(1)

NIMI
help2man - luo yksinkertainen man-sivu

YLEISKATSAUS
help2man [VALITSIMET]... OHJELMA

KUVAUS
”help2man” luo man-sivun ”--help”- ja ”--version”-tulosteista.

-n, --name=MERKKIJONO
    kuvaus kappaleeseen NIMI

-s, --section=LUOKKA
    manuaalisivun luokan numero (1, 6, 8)

-m, --manual=TEKSTI
    manuaalin nimi (Käyttäjän sovellukset, ...)

-S, --source=TEKSTI
    ohjelman lähde (FSF, Debian, ...)

-L, --locale=MERKKIJONO
    valitse maa-asetusto (oletus on "C")

-i, --include=TIEDOSTO
    sisällytä materiaali TIEDOSTOsta

-I, --opt-include=TIEDOSTO
    sisällytä materiaali TIEDOSTOsta mikäli se on olemassa

-o, --output=TIEDOSTO
    kirjoita tuloste TIEDOSTOon

-p, --info-page=MERKKIJONO
    Texinfo-manuaalin nimi

-N, --no-info
    jätä pois viittaus Texinfo-manuaaliin

-l, --libtool
    jätä pois ”lt-” ohjelman nimestä

--help
    näytä tämä ohje ja poistu

--version
    tulosta versiotiedot ja poistu

OHJELMAn tulee hyväksyä sekä ”--help”- että ”--version”-valitsimet, mutta vaihtoehtoiset valitsimet voi määrittää valitsimilla:

-h, --help-option=MERKKIJONO
    ohjevalitsin

-v, --version-option=MERKKIJONO
    versiotietovalitsin

--version-string=MERKKIJONO
    versiotieto

--no-discard-stderr
    sisällytä vakiovirhetuloste jäsennettäessä tulostetta

SISÄLLYTÄ TIEDOSTOJA
Lisämateriaalia voi sisällyttää luotavaan tulosteeseen valitsimilla --include ja --opt-include. Muoto on yksinkertainen:
    [kappale]
    teksti
    /hakuehto/
    teksti Kappaleita puhdasta *roff-tekstiä lisätään tulosteeseen joko kun alkaa [kappale] (kirjainkoko merkitsevä) tai sellaisen kappaleen jälkeen, joka täsmää säännölliseen lausekkeeseen /hakuehto/. Hakuehdoissa käytetään Perlin säännöllisten lausekkeiden syntaksia, ja niiden perässä voi olla i, s tai m muuntimet (katso perlre(1)). Rivit ennen ensimmäistä kappaletta tai hakuehtoa, jotka alkavat "-", käsitellään valitsimina. Kaikki muu ohitetaan, joten ne voivat olla käyttäjän kommentteja, RCS-avainsanoja ja muuta sellaista. Kappaleiden tulostusjärjestys on:
    NIMI
    YLEISKATSAUS
    KUVAUS
    VALITSIMET
    YMPÄRISTÖ
    TIEDOSTOT
    ESIMERKKEJÄ
    muut
    TEKIJÄ
    VIRHEISTÄ ILMOITTAMINEN
    TEKIJÄNOIKEUDET
    KATSO MYÖS Kappale [NIMI] tai [YLEISKATSAUS], joka löytyy sisällytystiedostosta, korvaa muutoin automaattisesti tuotettavan osan (vaikka tämänkin voi korvata --name -valitsimella tarvittaessa). Muut kappaleet aloittavat automaattisesti tuotetun tulosteen aiemmin mainituille vakiokappaleille, tai ne sisällytetään kohtaan muut samassa järjestyksessä kuin ne esiintyvät sisällytystiedostossa. Placement of the text within the section may be explicitly requested by using the syntax [<section], [=section] or [>section] to place the additional text before, in place of, or after the default output respectively.

SAATAVUUS
Tuorein versio tästä sovelluksesta on saatavilla verkossa osoitteesta:
    ftp://ftp.gnu.org/gnu/help2man/

VIRHEISTÄ ILMOITTAMINEN
Lähetä raportit ohjelmistovioista (englanniksi) osoitteeseen <bug-help2man@gnu.org>.

TEKIJÄNOIKEUDET
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013 Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Written by Brendan O'Dea <bod@debian.org>

KATSO MYÖS
Ohjelman help2man täydellinen dokumentaatio ylläpidetään Texinfo-manuaalissa. Mikäli ohjelmat info ja help2man on täysin asennettu, komennon info help2man

pitäisi antaa täydellinen manuaali luettavaksi.